<bugID>1393615<Summary>[nosdk] use constructor instead of initialize in actors and fronts that inherit Actor/Front classes</Summary><Description>All fronts and actors inheriting the base Front and Actor classes defined in protocol.js are relying on "initialize" being the constructor of Front and Actor. 

We should update each and every front/actor as follows:

&gt; Front.prototype.initialize.call(this, [...]);

should become

&gt; Front.call(this, [...]);

(same for Actor)

Once this is done, the initialize methods exposed on both Actor and Front can be removed.

Then Actor Front and Pool (which is extended by Actor and Front) could be migrated to ES6 classes.

Finally we can migrate fronts and actors to use classes rather than objects:

&gt; const AnimationPlayerFront = FrontClassWithSpec(animationPlayerSpec, {
&gt;   initialize: function (conn, form, detail, ctx) {
&gt;     Front.call(this, conn, form, detail, ctx);
&gt;     // ...
&gt;   },
&gt; 
&gt;   form: function (form, detail) {
&gt;     // ...
&gt;   },
&gt; 
&gt;   destroy: function () {
&gt;     Front.prototype.destroy.call(this);
&gt;   },
&gt; });

to

&gt; const AnimationPlayerFront = FrontClassWithSpec(animationPlayerSpec, class extends Front {
&gt;   constructor(conn, form, detail, ctx) {
&gt;     super(conn, form, detail, ctx);
&gt;   }
&gt; 
&gt;   form(form, detail) {
&gt;     [...]
&gt;   }
&gt; 
&gt;   destroy() {
&gt;     super.destroy();
&gt;   }
&gt; });</Description></bugID>